JHAttribute (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class JHAttribute

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.JHAttribute

    public class JHAttribute

extends java.lang.Object

A description of an attribute within a JHOpenTag. This is not a subclass of JHElement, as it isn't part of the elements list. It is simply a way to store the information about an attribute in a JHOpenTag.

Author:
  Gary McGath

Constructor Summary
`JHAttribute(java.lang.String name, java.lang.String namespace, java.lang.String value, int line, int column)` Constructor.

Method Summary
`int` | `getColumn()` Returns the column number of the beginning of the attribute definition.
`int` | `getLine()` Returns the line number of the beginning of the attribute definition.
`java.lang.String` | `getName()` Returns the attribute's name.
`java.lang.String` | `getNamespace()` Returns the namespace of the attribute's name.
`java.lang.String` | `getValue()` Returns the attribute's value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JHAttribute

    public JHAttribute(java.lang.String name,
                       java.lang.String namespace,
                       java.lang.String value,
                       int line,
                       int column)

  Constructor.

  Parameters:
    `name` - Name of the attribute. Will be forced to lower case as it is stored. Must not be null.
    `namespace` - Namespace for the attribute. May be null if no namespace is specified.
    `value` - Value of the attribute. May be null. If it is in quotes, the quotes will be stripped.
    `line` - Line number at which the attribute begins.
    `column` - Column number at which the attribute begins.

Method Detail

### getName

    public java.lang.String getName()

  Returns the attribute's name. This is guaranteed to be in lower case.

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace of the attribute's name. May be null.

### getValue

    public java.lang.String getValue()

  Returns the attribute's value. May be null. If not null and was originally enclosed in double quotes, the return value has quotes stripped.

### getLine

    public int getLine()

  Returns the line number of the beginning of the attribute definition.

### getColumn

    public int getColumn()

  Returns the column number of the beginning of the attribute definition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD